Game Develop C++ Platform: Game engine

| Game Develop C++ Platform Platform for developing native games based on OpenGL and SFML with Game Develop

- Main Page
- Modules
- Classes
- Files

All Classes Namespaces Files Functions Variables Typedefs Enumerations Groups Pages
Modules | Classes | Functions
Game engine
Collaboration diagram for Game engine:

## Modules

| Sound engine
| Resources management

## Classes

class | AutomatismsRuntimeSharedData
| Base class for defining automatisms shared datas used at runtime. More...
class | Force
| Represents a force to be applied on an object. More...
class | ManualTimer
| Manual timer updated using ManualTimer::UpdateTime member function. More...
class | ObjInstancesHolder
| Hold lists of objects classified by the name of the objects. More...
class | Polygon2d
| Represents a polygon. Usually used for collisions masks. More...
struct | CollisionResult
| Contains the result of PolygonCollisionTest. More...
class | RuntimeGame
| Represents a game being played. More...
class | RuntimeCamera
| A camera which is displayed on a part of a window ( see Viewport related methods ) rendering an area of the scene. More...
class | RuntimeLayer
| A layer of a layout, used to display objects using RuntimeCamera. More...
class | RuntimeObject
| A RuntimeObject is something displayed on the scene. More...
class | RuntimeScene
| Represents a scene being played. More...
class | RuntimeVariablesContainer
| Container for gd::Variable used at by games at runtime. More...
class | ShaderManager
| Still work in progress class to manage shaders. More...

## Functions

CollisionResult | PolygonCollisionTest (Polygon2d &p1, Polygon2d &p2)

## Detailed Description

## Function Documentation

CollisionResult PolygonCollisionTest | ( | Polygon2d & | p1,
|  | Polygon2d & | p2
| ) |  |

Do a collision test between the two polygons.

Warning
  Polygons must convexes.

Uses Separating Axis Theorem ( http://en.wikipedia.org/wiki/Hyperplane_separation_theorem ) Based on http://www.codeproject.com/Articles/15573/2D-Polygon-Collision-Detection and http://stackoverflow.com/questions/5742329/problem-with-collision-response-sat

Returns
  true if polygons are overlapping

Here is the call graph for this function: